***********************************************************************
&& Alarm Support for FoxPro for Windows
***********************************************************************
&& Created especially to work with Blank Software's Calendar/Scheduler
&& To order, Call HALLoGRAM at (303)340-3404
***********************************************************************
&& Instructions:
&& First, create a file, say ALARM.INI, that contains the appointments
&& to give an alarm. These are given in the format:
***********************************************************************
&& Line 1: ID number
&& Line 2: Appointment Message
&& Line 3: Appointment Date
&& Line 4: Appointment Time (24 hour time)
&& Line 5: Has already sounded (-1) or not (1)
&& repeat
***********************************************************************
&& For instance:
***********************************************************************
&& 231
&& Don't forget to buy flowers for tonight!
&& 12/23/94
&& 16:45
&& -1
&& 232
&& Bring Notes to meeting
&& 1/1/94
&& 8:45
&& 1
***********************************************************************
&& This code wil create a INI file, and the start up ALARM
***********************************************************************
filename = "D:\ALARM\ALARM.INI"
USE calendar
SET ORDER TO b_date
delete file &filename
fp = FCREATE( filename )
go top
SCAN FOR cal_type = "S" AND b_date >= DATE() AND NOT COMPLETED
	= FPUT( fp, ALLTRIM( STR(RECNO())) )
	= FPUT( fp, "Note from Calendar/Scheduler: " + ALLTRIM(cal_desc ))
	= FPUT( fp, ALLTRIM( DTOC(b_date)) )
	= FPUT( fp, b_time )
	= FPUT( fp, IIF( COMPLETED, "-1", "1") )
ENDSCAN
= FCLOSE( fp )
USE IN calendar
***********************************************************************
&& If it isn't in your STARTUP folder in Windows, then start it up:
&& RUN /N alarm &filename
***********************************************************************
&& If you want to read the file back in to see if the Alarm notified
&& the user of any messages, use this:
&& = readin()
***********************************************************************
RETURN

***********************************************************************
&& This will read it back in if you want to see if any have been
&& marked completed:
***********************************************************************
PROCEDURE readin
use calendar
fp = FOPEN( filename )
DO WHILE NOT FEOF( fp )
	mrecno= VAL(FGET( fp ))
	mdesc= SUBSTR( FGET( fp ), 31)
	mb_date= CTOD( FGET( fp ) )
	mb_time= LEFT( FGET( fp ), 5)
	mcompleted= IIF( FGET( fp ) = "-1", .F., .T.)
	GO mrecno
	REPLACE COMPLETED WITH mcompleted
ENDDO
= FCLOSE( fp )
RETURN
